Get claim by ID
curl --request GET \
--url https://api.example.com/claims/{id}import requests
url = "https://api.example.com/claims/{id}"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.example.com/claims/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "20200301_DE062750105355XZ",
"claimType": "investigation",
"status": "submitted",
"shipmentId": "2340923434",
"trackingCode": "DE062750105355XZ",
"shopOrderId": "20314532264784",
"carrier": {
"name": "dhl",
"country": "de"
},
"isReturnShipment": false,
"firstHubScanDate": "2019-06-30T12:34:06+00:00",
"deliveryDate": "2019-06-30T12:34:06+00:00",
"postalReturnDeliveryDate": "2019-06-30T12:34:06+00:00",
"netValue": 10.5,
"netValueCurrency": "EUR",
"recipientName": "Federico Garcia",
"recipientCity": "Berlin",
"recipientZipCode": "<string>",
"weight": 1.52
}Claims
Get Claim by ID
GET
/
claims
/
{id}
Get claim by ID
Path Parameters
Example:
"20200301_DE062750105355XZ"
Response
200 - application/json
Claim retrieved successfully
Example:
"20200301_DE062750105355XZ"
Available options:
investigation, partial_damage, whole_damage, missing_item Available options:
submitted, action_required, in_progress, accepted, declined, successful, paid Example:
"2340923434"
Example:
"DE062750105355XZ"
Example:
"20314532264784"
Show child attributes
Show child attributes
Example:
false
Example:
"2019-06-30T12:34:06+00:00"
Example:
"2019-06-30T12:34:06+00:00"
Example:
"2019-06-30T12:34:06+00:00"
Invoice net value
Example:
10.5
Currency of the invoice net value
Example:
"EUR"
Example:
"Federico Garcia"
Example:
"Berlin"
The recipient zipcode
Weight (kg)
Example:
1.52

